Mailinglist Archive: opensuse-bugs (4758 mails)

< Previous Next >
[Bug 1047446] update python3-websockets 3.2 to 3.3
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Thu, 06 Jul 2017 11:01:18 +0000
  • Message-id: <bug-1047446-21960-fuLXRPNNIc@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1047446
http://bugzilla.opensuse.org/show_bug.cgi?id=1047446#c3

--- Comment #3 from Manuel Schnitzer <mschnitzer@xxxxxxxx> ---
Sorry, I probably explained it not very well...

The released source code (in its 3.3 state) cannot be installed on openSUSE if
you're not applying this patch to enforce utf8 encoding. It'll throw you an
error during the `setup.py build` call. As you can see here:
https://github.com/aaugustin/websockets/pull/171

The author pushed one commit that fixes this after the release of his 3.3
version:
https://github.com/aaugustin/websockets/commit/e7e681fc1cae2bb13e09418c9c5ab6624bf8160a

To make the 3.3 version working, you would need that patch. Otherwise the
building of the package fails. When the author released version 3.4, we can
remove the patch again because then it's fixed.

I hope this answers your question. Sorry for the very bad explanation in the
previous answer.

--

Regarding your question to submit the package to the next openSUSE release:
Well, I didn't know that there is such a project. I submitted this package
directly to the openSUSE:42.3 project because I thought since it's not
released, it needs to go their. But then I'll gonna submit it to
nextopenSUSE:Leap:42.3

The request for the openSUSE:42.3 project was:
https://build.opensuse.org/request/show/508448

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
References